Subject: Re: bug#26490: 25.1; package-buffer-info is incorrectly case-insensitive

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Apr 2017 10:31:05 +0300

> From: Steve Purcell <[email-masked]>
> Date: Fri, 14 Apr 2017 12:44:24 +1200
> 
> `package-buffer-info' looks for an "filename.el ends here" comment line,
> where "filename.el" matches that provided on the first line of the
> file. However, it does not set `case-fold-search' to nil explicitly, and
> so will happily allow "FiLeNaMe.EL" in the trailing line.
> 
> I rely on this function in package-lint to detect certain issues with
> packaging, and noticed this failure there. I can work around it by
> unsetting `case-fold-search', but this seems the wrong fix.

Why do you think it would be wrong for you in your special use case to
bind case-fold-search to nil?  I think it's exactly the right
solution.

> A simple patch is attached.

What about Emacs running on case-insensitive filesystems?  What will
your patch do in that case?

Thanks.